Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001291SpeedFanOtherpublic2008-11-08 16:042009-02-17 10:32
Reporterkensiko 
Assigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.38 beta 
Summary0001291: Speedfan 4.35, B
DescriptionYou will find me crazy to ask you this now, but I think it might be good to be on time when Windows Seven will be final.

With all the softwares I've installed on Seven right now, only Daemon tools and Speedfan could not work with different compatibility modes.

Speedfan crashes just after running it. It shows:

"Runtime error 217 at 004D8528".

I tried a couple of command line options but no luck.
Steps To ReproduceRun Speedfan in Win7.
Additional InformationWin7 B
TagsNo tags attached.
Motherboard Model
Video Card ModelHD3850 AGP
Attached Files

- Relationships

-  Notes
(0004245)
alfredo (manager)
2008-11-08 16:21

Did you follow beta installation instructions and install SpeedFan 4.35 Final first?
(0004247)
kensiko (reporter)
2008-11-09 00:53

Well in fact, I never install Speedfan when installing a new Windows, I just run the program. I never had any problem with that.

So, the first time I tried speedfan 4.35 without installation, it crashed.

I then installed the software with normal procedure. It also crashed after that.

I have put speedfan 4.36 executable in speedfan installation folder and ran it. It crashed. Always the same message.
(0004248)
alfredo (manager)
2008-11-09 19:56

SpeedFan 4.35 has a full installer.
Beta, usually, are simple exe replacements.
Did you install 4.35?
Please, describe 4.35 crash, if any.
(0004254)
kensiko (reporter)
2008-11-10 03:19
edited on: 2008-11-10 03:24

Yes I did install 4.35 with the full installer. The crash is described above, when I run it, I have Windows saying "Speedfan as stopped working" under a second later.

I just saw that the runtime error position is different in 4.35 and 4.36:


- 4.35 crash error: "Runtime error 217 at 004D72E0"
- 4.36 crash error: "Runtime error 217 at 004D8528"

(0004262)
petrossa (reporter)
2008-11-13 20:33
edited on: 2008-11-13 20:40

also speedfan crashes in win 7 x64. Set it to compability Vista and run as admin.
here it's 4.36 crash error: "Runtime error 217 at 004D8558"

good news is, 4.36 windows 7 32bit in a vm runs fine, just doens't find many sensors obviously

However 4.34 runs without problem on x64, hope that helps

(0004265)
kensiko (reporter)
2008-11-14 18:12

Hello,

tried speedfan 4.36 final, nothing changed for me.
(0004306)
DFG (reporter)
2008-11-22 12:20

Windows seven x64 6801, SpeedFan 4.37 - the same runtime errors like described above... :-(
(0004316)
alfredo (manager)
2008-11-25 09:52

I'm testing SpeedFan on Windows 7. There are two issues:
1) the installer is not yet able to identify this new OS and fails to install the needed drivers;
2) SpeedFan tries to use GIVEIO, which causes a "privileged instruction" error.
I'm working to fix (1). If you are smart enough to install speedfan.sys, all you have to do is to run SpeedFan with the /NOGIVEIO command line parameter.
(0004317)
alfredo (manager)
2008-11-25 12:16

Ok. Now SpeedFan works fine on Windows 7 32 bit. If you want to try this beta, feel free to contact me by email. Please, use an email address where you can receive exes and zipped exes.
(0004324)
kensiko (reporter)
2008-12-07 16:33
edited on: 2008-12-07 21:45

Hello Alfredo,

thanks a lot to work on this. But sorry to bring bad news, I still have the same problem:

- 4.37 crash error: "Runtime error 217 at 004D85B8"

Edit: How do you install manually speedfan.sys?

(0004354)
kensiko (reporter)
2009-01-11 22:31

Hello Alfredo,

Some news, Windows 7 Beta 1 (build 7000), same problem.
(0004355)
DragonMaster (reporter)
2009-01-13 04:35

I have Beta 1 64-bit, it installs without problem, but the program just hangs (and can't be terminated without restarting the system) after the SMART checkup.
(0004356)
DragonMaster (reporter)
2009-01-13 15:42

OK, updates, I just forgot to restart the system. SpeedFan 4.37 works perfectly fine for me on build 7000 x64.
(0004361)
kensiko (reporter)
2009-01-14 19:02

Oh, installed on build 7000 (did not install last time), and now it works!

Thanks and sorry for the trouble I may have given you after saying it didn't work in build 7000.
(0004362)
psylone (reporter)
2009-01-15 16:53
edited on: 2009-01-15 17:55

Hello
versions : v4.37 and windows 7 32 bits build 7000

I have the same problems as others but i can't solve it.
i copied manually the speedfan.sys in system32 directory (the file was not present), run it with or without /nogiveio parameter, installed 10 times and runned with or without admin privilege or compatibility mode but crashed everytime.

I noticed that the installer give a lot more infos when installing on xp

ps : i don't see any beta versions in your beta program. It would be nice to publish in your beta area the working version on 7 as it seems to be a lot of 7 enthusiastic users :)

(0004449)
alfredo (manager)
2009-02-14 14:09

SpeedFan 4.38 beta will be made available to the public next week.
It was tested on both 32 and 64 bit versions of Windows 7 and it works like a charm.
(0004484)
alfredo (manager)
2009-02-17 10:32

The beta with full Windows 7 support is online.

- Issue History
Date Modified Username Field Change
2008-11-08 16:04 kensiko New Issue
2008-11-08 16:04 kensiko Status new => assigned
2008-11-08 16:04 kensiko Assigned To => alfredo
2008-11-08 16:04 kensiko Video Card Model => HD3850 AGP
2008-11-08 16:21 alfredo Note Added: 0004245
2008-11-08 16:21 alfredo Status assigned => acknowledged
2008-11-09 00:53 kensiko Note Added: 0004247
2008-11-09 19:56 alfredo Note Added: 0004248
2008-11-10 03:19 kensiko Note Added: 0004254
2008-11-10 03:24 kensiko Note Edited: 0004254
2008-11-13 20:33 petrossa Note Added: 0004262
2008-11-13 20:40 petrossa Note Edited: 0004262
2008-11-14 18:12 kensiko Note Added: 0004265
2008-11-22 12:20 DFG Note Added: 0004306
2008-11-25 09:52 alfredo Note Added: 0004316
2008-11-25 12:16 alfredo Note Added: 0004317
2008-12-07 16:33 kensiko Note Added: 0004324
2008-12-07 21:45 kensiko Note Edited: 0004324
2009-01-11 22:31 kensiko Note Added: 0004354
2009-01-13 04:35 DragonMaster Note Added: 0004355
2009-01-13 15:42 DragonMaster Note Added: 0004356
2009-01-14 19:02 kensiko Note Added: 0004361
2009-01-15 16:53 psylone Note Added: 0004362
2009-01-15 16:54 psylone Note Edited: 0004362
2009-01-15 16:55 psylone Note Edited: 0004362
2009-01-15 16:55 psylone Note Edited: 0004362
2009-01-15 16:56 psylone Note Edited: 0004362
2009-01-15 16:58 psylone Note Edited: 0004362
2009-01-15 17:37 psylone Note Edited: 0004362
2009-01-15 17:38 psylone Note Edited: 0004362
2009-01-15 17:41 psylone Note Edited: 0004362
2009-01-15 17:42 psylone Note Edited: 0004362
2009-01-15 17:42 psylone Note Edited: 0004362
2009-01-15 17:54 psylone Note Edited: 0004362
2009-01-15 17:55 psylone Note Edited: 0004362
2009-02-14 14:09 alfredo Note Added: 0004449
2009-02-14 14:09 alfredo Status acknowledged => resolved
2009-02-14 14:09 alfredo Resolution open => fixed
2009-02-14 14:09 alfredo Fixed in Version => 4.38 beta
2009-02-17 10:32 alfredo Note Added: 0004484


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3545 seconds.
memory usage: 8,205 KB
Powered by Mantis Bugtracker